
from PyQt6 import QtWidgets

from src.ui.dialogs.mail import Mail_Dialog


def launch_gui(app_id="", app_name="", app_subject="", prof_name="", prof_mail=""):
    QtWidgets.QApplication([""])

    dialog = Mail_Dialog(
        app_id=app_id,
        app_name=app_name,
        app_subject=app_subject,
        prof_name=prof_name,
        prof_mail=prof_mail,
        # default_mail="Information bezüglich der Auflösung des Semesterapparates",
    )
    dialog.exec()


if __name__ == "__main__":
    app_id = "123"
    app_name = "Test"
    app_subject = "TestFach"
    prof_name = "Test"
    prof_mail = "kirchneralexander020@gmail.com"
    launch_gui(
        app_id=app_id,
        app_name=app_name,
        app_subject=app_subject,
        prof_name=prof_name,
        prof_mail=prof_mail,
    )
